#
# set environment to build the 'testing' version
#

export ASTER_BRANCH_ID=v14

# devtools environment
DEVTOOLS_ROOT=$(dirname $(dirname ${BASH_SOURCE}))
. ${DEVTOOLS_ROOT}/etc/env.sh $*

# aster5
if [ "$DEVTOOLS_COMPUTER_ID" = "aster5" ]; then
    module load ifort/2016.0.047 icc/2016.0.047 mkl/2016.0.047
    . ${ASTER_ROOT}/public/v14/salome_prerequisites.sh
    # for salome and europlexus installation directories
    export PATH=${ASTER_ROOT}/salomemeca/appli:/home/rd-ap-europlexus/bin:${PATH}
    export ECREVISSE_ROOT_DIR=${ASTER_ROOT}/public/v14/tools/Ecrevisse-322
fi

# eole
if [ "$DEVTOOLS_COMPUTER_ID" = "eole" ]; then
    module load ifort/2016.0.047 icc/2016.0.047 mkl/2016.0.047
    . ${ASTER_ROOT}/public/v14/salome_prerequisites.sh
    # for salome and europlexus installation directories
    export PATH=${ASTER_ROOT}/salomemeca/appli:/projets/europlexus/bin:${PATH}
    export ECREVISSE_ROOT_DIR=${ASTER_ROOT}/public/v14/tools/Ecrevisse-322

fi

# calibre9
if [ "$DEVTOOLS_COMPUTER_ID" = "calibre9_user" ]; then
    # for salome installation directory
    export PATH=/home/rd-ap-simumeca/salome_meca/appli:${PATH}
fi

# clap0f0q
if [ "$DEVTOOLS_COMPUTER_ID" = "clap0f0q" ]; then
    . ${ASTER_INSTALLROOT}/etc/codeaster/profile_gcc47.sh
    . ${ASTER_INSTALLROOT}/public/${ASTER_BRANCH_ID}/salome_prerequisites.sh
fi
